Subject: Re: NAT behavior for IP ID field

From: Joe Touch <[email-masked]>
Date: Thu, 06 Jan 2011 10:07:41 -0800

Although this is a fairly old thread, I didn't see mention of the IPv4 
ID draft we've been working on in INTAREA that addresses this:

https://datatracker.ietf.org/doc/draft-ietf-intarea-ipv4-id-update/

It was updated last Oct.

See esp. Sec 9.

Joe

On 8/31/2010 1:04 PM, John Kristoff wrote:
> I'm trying to locate an RFC that spells out the behavioral
> requirements, expectations or guidelines for NAT handling of the IP ID
> field, particularly for UDP messages.  Section 3.2.5 in RFC 3235
> briefly mentions issues surrounding IP fragmentation and reassembly,
> but  it doesn't specifically say if NATs should re-write IDs as a
> general rule.
>
> RFC 4787 doesn't seem to address this either.
>
> If this is not written down anywhere, do NATs generally rewrite the ID
> field with or without the MF bit set?
>
> For background and reference, I refer you to Steve Bellovin's 'A
> Technique for Counting NATted Hosts', particularly section IV.
>
> Thanks for any pointers,
>
> John
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf